Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a webhook

URL

POST https://api.complycube.com/v1/webhooks

Creates a new webhook. Returns the webhook endpoint object with the secret field populated. You can create up to a maximum of 20 webhooks.

Headers

Name
Type
Description

Content-Type*

string

The content-type must always be set to application/json.

Authorization*

string

The API live or test key.

Body

Name
Type
Description

url*

string

The URL of the webhook endpoint.

description

string

A description of what the webhook is used for.

enabled*

boolean

Determines whether the webhook should be active.

events*

array

The list of event types to which the endpoint is subscribed for.

Example request

curl -X POST https://api.complycube.com/v1/webhooks \
     -H 'Authorization: <YOUR_API_KEY>' \
     -H 'Content-Type: application/json' \
     -d '{
          "description": "This is my webhook, I like it a lot",
          "url": "https://yoursite.com/my/webhook/endpoint",
          "enabled": true,
          "events": [
                 "check.pending",
                 "check.completed"
          ]
        }'
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const webhook = await complycube.webhook.create({
    description: "This is my webhook, I like it a lot",
    url: "https://yoursite.com/my/webhook/endpoint",
    enabled: true,
    events: [
        "check.pending",
        "check.completed"
    ]
});

Example responses